Bug 452435 - Some Yahoo! Java-based games don't work
Some Yahoo! Java-based games don't work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-22 18:44 EDT by sean.mcguffee
Modified: 2018-04-11 13:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 13:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean.mcguffee 2008-06-22 18:44:05 EDT
Description of problem:

Neither Yahoo Chess nor AOL Chess work on 32 bit firefox or 64 bit firefox when
installed on either 32 bit fedora 9 or on 64 bit fedora 9. This is totally
dissapointing seeing as I reported this bug back at the initial release of
fedora 8. Both of these could be used back in fedora 7 when using netscape and
maybe some sort of plugin wrapper. I don't know what good a computer is if you
can't play chess online.  

Version-Release number of selected component (if applicable):


How reproducible:

ALWAYS

Steps to Reproduce:
1. goto either http://games.yahoo.com/launch/ch&ss=1 or
http://aolcom.pogo.com/games/chess?returnType=game&returnValue=chess2&nlruser=true
2. try to play a game of chess
3. don't be fooled if you get in a room, you can't get a game to start.
  
Actual results:

The online chess games don't work on fedora 9 platform. Even if you get lucky
and happen to win the lottery and find an instruction manual on the web that
tells you how to install flash and how to install java, the online chess games
still cannot be played.

Expected results:

It is expected that fedora would not release a version of an operating system
that doesn't come already prepared for playing chess online. Even in the
pathetic event that there is not even so much as a button to push to
automatically install java and flash, it is expected that if these other
requirements are installed, the web browser should be capable of playing chess
online at either yahoo or aol. 

Additional info:
By the way, firefox 32 bit would not load any web pages when installed on 64 bit
fedora 9. It's really pathetic that fedora releases a version of an operating
system that has no hope for any use of java. They should wait until they figure
out how to make the operating system fully functional before leading people to
believe there is a new version available. Seriously, I had a more functional
system when I had fedora 7. I don't bother to upgrade my operating system in
hopes of losing functionality. I will add that the startup is quicker and the
install is quicker too, so not all is lost. On the other hand, I will note that
annoying messages were added to bother you when you log in a root as any person
who owns their computer will do upon every use. I'm really pretty annoyed right
now. Why is it that mac's allow you to install the complete windows operating
system for so long and its still not even possible to play chess on a linux box,
not to mention run windows inside it. Why can't linux at least catch up with
mac? Their entire operating system is open source, right?
Comment 1 Bill Nottingham 2008-06-23 11:15:55 EDT
FYI:

- java is included in Fedora 9
- no, MacOSX is not entirely open source

Assigning to a more correct component.
Comment 2 Matěj Cepl 2008-07-29 12:07:43 EDT
I am afraid that the problem lies in our (non-)support for Java plugins, not in
Firefox. When trying to run classical Java Chess (the current version is flash),
I get all these messages in gdb:

[Thread 0xb48b6b90 (LWP 7549) exited]
[Thread 0xad277b90 (LWP 7546) exited]
GCJ PLUGIN: thread 0x842c688: NP_Initialize
GCJ PLUGIN: thread 0x842c688: plugin_test_appletviewer
Detaching after fork from child process 7562.
GCJ PLUGIN: thread 0x842c688: plugin_test_appletviewer return
GCJ PLUGIN: thread 0x842c688: NP_Initialize: using
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/../../bin/pluginappletviewer
GCJ PLUGIN: thread 0x842c688: NP_Initialize return
GCJ PLUGIN: thread 0x842c688: GCJ_New
GCJ PLUGIN: thread 0x842c688: plugin_data_new
GCJ PLUGIN: thread 0x842c688: plugin_data_new return
GCJ PLUGIN: thread 0x842c688: plugin_get_documentbase
GCJ PLUGIN: thread 0x842c688: plugin_get_documentbase return
GCJ PLUGIN: thread 0x842c688: GCJ_New: creating input fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-0-appletviewer-to-plugin
GCJ PLUGIN: thread 0x842c688: GCJ_New: created input fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-0-appletviewer-to-plugin
GCJ PLUGIN: thread 0x842c688: GCJ_New: creating output fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-0-plugin-to-appletviewer
GCJ PLUGIN: thread 0x842c688: GCJ_New: created output fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-0-plugin-to-appletviewer
GCJ PLUGIN: thread 0x842c688: plugin_start_appletviewer
Detaching after fork from child process 7564.
GCJ PLUGIN: thread 0x842c688: plugin_start_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_New: got confirmation that appletviewer is
running.
GCJ PLUGIN: thread 0x842c688: plugin_create_applet_tag
GCJ PLUGIN: thread 0x842c688: plugin_create_applet_tag return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-7456-0
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: tag http://games.yahoo.com/play/ch&jch=y&ss=1 <EMBED
CODE="y.vmd.0" CODEBASE="http://origin.games.yahoo.net/games/clients/"
HEIGHT="0" WIDTH="0" ><PARAM NAME="mayscript" VALUE="mayscript"><PARAM
NAME="hspace" VALUE="0"><PARAM NAME="vspace" VALUE="0"></EMBED>
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_New return
GCJ PLUGIN: thread 0x842c688: NP_GetValue
GCJ PLUGIN: thread 0x842c688: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x842c688: NP_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue: returning TRUE for NeedsXEmbed.
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: setting window.
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-7456-0
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: handle 79695544 width 0 height 0
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue
gcjwebplugin.cc:553: thread 0x842c688: Error: Unknown plugin value requested.
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue
gcjwebplugin.cc:553: thread 0x842c688: Error: Unknown plugin value requested.
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
  PIPE: appletviewer wrote: running
  PIPE: appletviewer read: instance-7456-0
  PIPE: appletviewer read: tag http://games.yahoo.com/play/ch&jch=y&ss=1 <EMBED
CODE="y.vmd.0" CODEBASE="http://origin.games.yahoo.net/games/clients/"
HEIGHT="0" WIDTH="0" ><PARAM NAME="mayscript" VALUE="mayscript"><PARAM
NAME="hspace" VALUE="0"><PARAM NAME="vspace" VALUE="0"></EMBED>
  PIPE: appletviewer read: instance-7456-0
  PIPE: appletviewer read: handle 79695544 width 0 height 0
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
[New Thread 0xad277b90 (LWP 7582)]
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
[Thread 0xb18ffb90 (LWP 7543) exited]
[New Thread 0xb18ffb90 (LWP 7583)]
[Thread 0xb18ffb90 (LWP 7583) exited]
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
[New Thread 0xb18ffb90 (LWP 7585)]
[Thread 0xb18ffb90 (LWP 7585) exited]
[New Thread 0xb18ffb90 (LWP 7591)]
[Thread 0xb047cb90 (LWP 7550) exited]
  PIPE: appletviewer wrote: status starting applet...
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback: setting status starting
applet...
  PIPE: plugin read: status starting applet...
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback return
  PIPE: appletviewer wrote: status Applet loaded.
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback: setting status Applet loaded.
  PIPE: plugin read: status Applet loaded.
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback return
  PIPE: appletviewer wrote: status Applet initialized.
  PIPE: appletviewer wrote: status Applet started.
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback: setting status Applet
initialized.
  PIPE: plugin read: status Applet initialized.
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback return
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback: setting status Applet
started.
  PIPE: plugin read: status Applet started.
GCJ PLUGIN: thread 0x842c688: plugin_in_pipe_callback return
[New Thread 0xb047cb90 (LWP 7601)]
[Thread 0xad277b90 (LWP 7582) exited]
[New Thread 0xad277b90 (LWP 7625)]
[Thread 0xad277b90 (LWP 7625) exited]
GCJ PLUGIN: thread 0x842c688: GCJ_New
GCJ PLUGIN: thread 0x842c688: plugin_data_new
GCJ PLUGIN: thread 0x842c688: plugin_data_new return
GCJ PLUGIN: thread 0x842c688: plugin_get_documentbase
GCJ PLUGIN: thread 0x842c688: plugin_get_documentbase return
GCJ PLUGIN: thread 0x842c688: GCJ_New: creating input fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-appletviewer-to-plugin
GCJ PLUGIN: thread 0x842c688: GCJ_New: created input fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-appletviewer-to-plugin
GCJ PLUGIN: thread 0x842c688: GCJ_New: creating output fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-plugin-to-appletviewer
GCJ PLUGIN: thread 0x842c688: GCJ_New: created output fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-plugin-to-appletviewer
GCJ PLUGIN: thread 0x842c688: plugin_start_appletviewer
Detaching after fork from child process 7631.
GCJ PLUGIN: thread 0x842c688: plugin_start_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_New: got confirmation that appletviewer is
running.
GCJ PLUGIN: thread 0x842c688: plugin_create_applet_tag
GCJ PLUGIN: thread 0x842c688: plugin_create_applet_tag return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-7456-1
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: tag
http://games.yahoo.com/ygames/home/applet.php?room=chess_i&prof_id=chat_pf_1&small=no&follow=&nosignedcab=no&intl=us
<EMBED CODE="com.yahoo.games.client.chess.ChessNormalApplet" ARCHIVE="y/ct5.jar"
HEIGHT="100%" WIDTH="100%" CODEBASE="http://yog80.games.scd.yahoo.com/yog"
><PARAM NAME="name" VALUE="ygames_applet"><PARAM NAME="mayscript"
VALUE=""><PARAM NAME="hspace" VALUE="0"><PARAM NAME="vspace" VALUE="0"><PARAM
NAME="ad_image_url_prefix" VALUE="http://l.yimg.com/a"><PARAM
NAME="logo_image_url_prefix" VALUE="http://l.yimg.com/a"><PARAM
NAME="csc_url_prefix" VALUE="http://us.bc.yahoo.com"><PARAM NAME="ldict_url"
VALUE="/yog/y/c/us-t5.ldict"><PARAM NAME="proxy_http" VALUE="true"><PARAM
NAME="ycookie"
VALUE="Y=v=1&n=6i7oepo7rtr80&l=24fbc0qq/o&p=m27vvcz113000500&jb=24|70|&ig=0dkag&iz=13001&r=07&lg=en-US&intl=us;
T=z=.SOiIB.m1mIBs3bbBVyx5bCMzQ2Bk9ONjAxNE8yNA--&a=YAE&sk=DAA2cZSjAOLG5Q&ks=EAANAMFJeLZWovTGSjTo4dnYQ--~A&d=c2wBTkRNeEFUZzVNVGMyTXpnMU13LS0BYQFZQUUBZwFLU1NFUDdOQ1lZRzJCQjZPU0RYWkdNQ041RQFvawFaVzAtAXRpcAFWTDgweUEBenoBLlNPaUlCQTdF"><PARAM
NAME="cookie" VALUE="id=ceplma00"><PARAM NAME="prof_id" VALUE="chat_pf_1"><PARAM
NAME="label" VALUE="Wombat Wagon"><PARAM NAME="room" VALUE="chess_i"><PARAM
NAME="league_id" VALUE="yahoo"><PARAM NAME="minimum_tablead_frequency"
VALUE="2147483647"><PARAM NAME="lang" VALUE="us"><PARAM NAME="intl_code"
VALUE="us"><PARAM NAME="intl_host" VALUE="games.yahoo.com"><PARAM NAME="agent"
VALUE="Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.9.0.1) Gecko/2008071615
Fedora/3.0.1-1.fc9 Firefox/3.0.1"><PARAM NAME="category" VALUE="social"><PARAM
NAME="page_id" VALUE="ch"><PARAM NAME="page_title" VALUE="Chess"><PARAM
NAME="soundbase" VALUE="resource/"><PARAM NAME="profile_prefix"
VALUE="http://profiles.games.yahoo.com/games"><PARAM NAME="http_poll_delay"
VALUE="6000"><PARAM NAME="http_connect_delay" VALUE="35000"><PARAM
NAME="show_9ball_option" VALUE="1"><PARAM NAME="port" VALUE="11999"><PARAM
NAME="yport" VALUE="games.room.chess_i"><PARAM NAME="namespace"
VALUE="yahoogamesc2"><PARAM NAME="useslibrary" VALUE="Yahoo! Chess"><PARAM
NAME="useslibrarycodebase" VALUE="y/ct5_x.cab"><PARAM NAME="useslibraryversion"
VALUE="0,0,0,1803"><PARAM NAME="signedcab" VALUE="true"><PARAM NAME="update"
VALUE="5"><PARAM NAME="profile_consolidater" VALUE="chess.yahoo"><PARAM
NAME="client_ip" VALUE="213.194.211.50"><PARAM NAME="titleImagePath"
VALUE="/i/us/ga/sl_3/ch.gif"><PARAM NAME="nosignedcab" VALUE="no"><PARAM
NAME="tableWindowTimeout" VALUE="15"><PARAM NAME="tableWindowMaxRetries"
VALUE="4"><PARAM NAME="ratingmilestones" VALUE="2100|1800|1500|1200|0"><PARAM
NAME="consolidatername" VALUE="chess"><PARAM NAME="serverclass"
VALUE="com.yahoo.games.server.CompetitiveServer"><PARAM NAME="milestones"
VALUE="1"><PARAM NAME="isleagueable" VALUE="yes"></EMBED>
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_New return
GCJ PLUGIN: thread 0x842c688: NP_GetValue
GCJ PLUGIN: thread 0x842c688: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x842c688: NP_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue: returning TRUE for NeedsXEmbed.
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: setting window.
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-7456-1
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: handle 79702783 width 786 height 357
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue
gcjwebplugin.cc:553: thread 0x842c688: Error: Unknown plugin value requested.
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue
gcjwebplugin.cc:553: thread 0x842c688: Error: Unknown plugin value requested.
GCJ PLUGIN: thread 0x842c688: GCJ_GetValue return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window width changed.
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-7456-1
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: width 786
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window height changed.
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-7456-1
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: height 357
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
  PIPE: appletviewer wrote: running
  PIPE: appletviewer read: instance-7456-1
  PIPE: appletviewer read: tag
http://games.yahoo.com/ygames/home/applet.php?room=chess_i&prof_id=chat_pf_1&small=no&follow=&nosignedcab=no&intl=us
<EMBED CODE="com.yahoo.games.client.chess.ChessNormalApplet" ARCHIVE="y/ct5.jar"
HEIGHT="100%" WIDTH="100%" CODEBASE="http://yog80.games.scd.yahoo.com/yog"
><PARAM NAME="name" VALUE="ygames_applet"><PARAM NAME="mayscript"
VALUE=""><PARAM NAME="hspace" VALUE="0"><PARAM NAME="vspace" VALUE="0"><PARAM
NAME="ad_image_url_prefix" VALUE="http://l.yimg.com/a"><PARAM
NAME="logo_image_url_prefix" VALUE="http://l.yimg.com/a"><PARAM
NAME="csc_url_prefix" VALUE="http://us.bc.yahoo.com"><PARAM NAME="ldict_url"
VALUE="/yog/y/c/us-t5.ldict"><PARAM NAME="proxy_http" VALUE="true"><PARAM
NAME="ycookie"
VALUE="Y=v=1&n=6i7oepo7rtr80&l=24fbc0qq/o&p=m27vvcz113000500&jb=24|70|&ig=0dkag&iz=13001&r=07&lg=en-US&intl=us;
T=z=.SOiIB.m1mIBs3bbBVyx5bCMzQ2Bk9ONjAxNE8yNA--&a=YAE&sk=DAA2cZSjAOLG5Q&ks=EAANAMFJeLZWovTGSjTo4dnYQ--~A&d=c2wBTkRNeEFUZzVNVGMyTXpnMU13LS0BYQFZQUUBZwFLU1NFUDdOQ1lZRzJCQjZPU0RYWkdNQ041RQFvawFaVzAtAXRpcAFWTDgweUEBenoBLlNPaUlCQTdF"><PARAM
NAME="cookie" VALUE="id=ceplma00"><PARAM NAME="prof_id" VALUE="chat_pf_1"><PARAM
NAME="label" VALUE="Wombat Wagon"><PARAM NAME="room" VALUE="chess_i"><PARAM
NAME="league_id" VALUE="yahoo"><PARAM NAME="minimum_tablead_frequency"
VALUE="2147483647"><PARAM NAME="lang" VALUE="us"><PARAM NAME="intl_code"
VALUE="us"><PARAM NAME="intl_host" VALUE="games.yahoo.com"><PARAM NAME="agent"
VALUE="Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.9.0.1) Gecko/2008071615
Fedora/3.0.1-1.fc9 Firefox/3.0.1"><PARAM NAME="category" VALUE="social"><PARAM
NAME="page_id" VALUE="ch"><PARAM NAME="page_title" VALUE="Chess"><PARAM
NAME="soundbase" VALUE="resource/"><PARAM NAME="profile_prefix"
VALUE="http://profiles.games.yahoo.com/games"><PARAM NAME="http_poll_delay"
VALUE="6000"><PARAM NAME="http_connect_delay" VALUE="35000"><PARAM
NAME="show_9ball_option" VALUE="1"><PARAM NAME="port" VALUE="11999"><PARAM
NAME="yport" VALUE="games.room.chess_i"><PARAM NAME="namespace"
VALUE="yahoogamesc2"><PARAM NAME="useslibrary" VALUE="Yahoo! Chess"><PARAM
NAME="useslibrarycodebase" VALUE="y/ct5_x.cab"><PARAM NAME="useslibraryversion"
VALUE="0,0,0,1803"><PARAM NAME="signedcab" VALUE="true"><PARAM NAME="update"
VALUE="5"><PARAM NAME="profile_consolidater" VALUE="chess.yahoo"><PARAM
NAME="client_ip" VALUE="213.194.211.50"><PARAM NAME="titleImagePath"
VALUE="/i/us/ga/sl_3/ch.gif"><PARAM NAME="nosignedcab" VALUE="no"><PARAM
NAME="tableWindowTimeout" VALUE="15"><PARAM NAME="tableWindowMaxRetries"
VALUE="4"><PARAM NAME="ratingmilestones" VALUE="2100|1800|1500|1200|0"><PARAM
NAME="consolidatername" VALUE="chess"><PARAM NAME="serverclass"
VALUE="com.yahoo.games.server.CompetitiveServer"><PARAM NAME="milestones"
VALUE="1"><PARAM NAME="isleagueable" VALUE="yes"></EMBED>
  PIPE: appletviewer read: instance-7456-1
  PIPE: appletviewer read: handle 79702783 width 786 height 357
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
Warning: <param name=... value=...> tag requires name attribute.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x842c688: GCJ_SetWindow return
GCJ PLUGIN: thread 0x842c688: GCJ_Destroy
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: destroy
GCJ PLUGIN: thread 0x842c688: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_stop_appletviewer
GCJ PLUGIN: thread 0x842c688: plugin_stop_appletviewer return
GCJ PLUGIN: thread 0x842c688: plugin_data_destroy
GCJ PLUGIN: thread 0x842c688: GCJ_New: deleting output fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-plugin-to-appletviewer
GCJ PLUGIN: thread 0x842c688: GCJ_New: deleted output fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-plugin-to-appletviewer
GCJ PLUGIN: thread 0x842c688: GCJ_New: deleting input fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-appletviewer-to-plugin
GCJ PLUGIN: thread 0x842c688: GCJ_New: deleted input fifo:
/home/matej/.gcjwebplugin/gcj-instance-7456-1-appletviewer-to-plugin
GCJ PLUGIN: thread 0x842c688: plugin_data_destroy return
GCJ PLUGIN: thread 0x842c688: GCJ_Destroy return
  PIPE: appletviewer read: instance-7456-1
  PIPE: appletviewer read: width 786
  PIPE: appletviewer read: instance-7456-1
  PIPE: appletviewer read: height 357
  PIPE: appletviewer read: destroy
  PIPE: appletviewer read: shutdown
APPLETVIEWER: exiting appletviewer
[Thread 0xb18ffb90 (LWP 7591) exited]
[New Thread 0xb18ffb90 (LWP 7700)]
[Thread 0xb047cb90 (LWP 7601) exited]

More information is on
http://fedoraproject.org/wiki/Docs/Beats/Java#Handling_Java_Applets

Reassigning to Java guys.
Comment 3 Deepak Bhole 2008-11-14 16:40:24 EST
Yahoo Chess has now switched to Flash, but the rest of the games should work.

There is a known issue with *some* games (like pool for example) where it just shows a grey window. The workaround for this is to go to the game options and select "Small Windows".

AOL chess does not work, I am looking into it now.
Comment 4 Deepak Bhole 2008-11-14 16:41:41 EST
Comment 3 refers to Rawhide/F10 by the way. F9 still has the old Java plugin which does not support Liveconnect.
Comment 5 Francis Earl 2009-05-31 03:32:44 EDT
I am using Fedora 11/Rawhide, and this bug still applies for all Yahoo Games on 64bit. I haven't tested 32bit, so perhaps this is something server side at this point?

Yahoo Games I have tried include: Pool, Euchre, Hearts, Canasta

I can get to the game rooms, however it refuses to let me join any actual games, so I think this is something wrong with IceTea/OpenJDK...
Comment 6 Deepak Bhole 2009-05-31 12:36:46 EDT
There is a workaround for some of the yahoo games that do not work. After you enter a room, before joining/creating a table, click options (bottom left), and check "Small window". That should make it work..

I know that requiring a workaround is not the ideal solution. I have tried to trace the issue but the applet is closed source, which makes it very difficult to find the problem.
Comment 7 Francis Earl 2009-05-31 23:56:34 EDT
Deepak, thank you very much, that is confirmed to work on all the games I play on that site! It might not be ideal, but it's not exactly a pain either - I usually have to go into the options anyway to decline invitations, much appreciated pointing this out!
Comment 8 Matěj Cepl 2009-06-01 04:06:46 EDT
(In reply to comment #5)
> I am using Fedora 11/Rawhide, and this bug still applies for all Yahoo Games on
> 64bit. I haven't tested 32bit, so perhaps this is something server side at this
> point?

Using just Fedora Java, chess (according to steps in the Description) just works with these packages, without any workarounds:

bradford:~$ rpm -qf $(readlink -f $(which java))
java-1.6.0-openjdk-1.6.0.0-20.b14.fc11.x86_64
bradford:~$ rpm -q firefox xulrunner
firefox-3.5-0.20.beta4.fc11.x86_64
xulrunner-1.9.1-0.20.beta4.fc11.x86_64
bradford:~$ 

What's the URL for Canasta?
Comment 9 Matěj Cepl 2009-06-01 04:55:19 EDT
OK, I can confirm that Canasta (http://games.yahoo.com/games/login2?page=ca&ss=1) doesn't seem to work out of the box. Moving to Fedora 11
Comment 10 Francis Earl 2009-06-01 05:46:48 EDT
Metaj: Just to assist you in your experiments, some simple URL's for Yahoo Games:

(All follow http://games.yahoo.com/<code> where <code> is the two letter combo below)

Canasta: ca
Pool: pl
Euchre: eu
Hearts: he
Spades: sp
Graffiti: gr
Backgammon: bg
Checkers: ck

Hopefully you actually enjoy a few of these games, which hopefully will be beneficial to your testing... although perhaps not if it becomes a distraction  :P
Comment 11 Francis Earl 2009-06-01 05:49:52 EDT
As stated, every one of these games works flawlessly if you use Deepak's workaround, however, but all fail to render anything past the initial chat area where you join games without this option being changed.
Comment 12 Bug Zapper 2009-06-09 05:37:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Junan 2009-11-06 06:01:14 EST
For whoever may need this:
- The bug does not appear using Windows XP.
- The bug appears using Ubuntu 9.04. 
- With Ubuntu 9.04, "Deepak's workaround" works (but the bug exists, anyway).
Comment 14 Bug Zapper 2010-04-27 08:07:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Deepak Bhole 2010-04-27 13:31:48 EDT
This bug can't be fixed.

Both of the games (Yahoo and AOL) are complex proprietary applets and the error is happening within the applet code somewhere, which makes it impossible to explore the cause.

Note You need to log in before you can comment on or make changes to this bug.